package sgc.portal.cw.cw0501.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw0501.dto.CW05010001USearch;
import sgc.portal.cw.cw0501.model.CW05010001U;
import sgc.portal.cw.cw0501.persistence.CW05010001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

@Service
public class CW05010001UService {
    private final CW05010001UMapper mapper;

    public CW05010001UService(CW05010001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getCW05010001UBy(CW05010001USearch search) {
        return mapper.getList(search);
    }

    public List<EasyHashMap<String, Object>> getCW05010002UBy(CW05010001USearch search) {
        return mapper.getList2(search);
    }
}
